Subject: Re: [PATCH net-next 1/7] eth: tg3: fix calling napi_enable() in atomic context

From: Simon Horman <[email-masked]>
Date: Thu, 23 Jan 2025 10:48:20 +0000

On Wed, Jan 22, 2025 at 03:48:33PM -0800, Jakub Kicinski wrote:
> On Wed, 22 Jan 2025 06:27:13 -0800 Jakub Kicinski wrote:
> > netdev_lock / netdev_unlock don't have the annotations.
> 
> Looks like sparse -Wcontext is happy either way, so I'll add it.

FWIIW, I do notice when these annotations get flagged by Sparse.
Well, at lest some of the time. Though I do confess that I'm not
always able to figure out a satisfactory resolution.